import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCService } from '@loafer/ng-rpc/service';

import { Domain } from 'packages/domain/model';

import { Probe } from '../model';


@Injectable()
export class ProbeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByDomain(domain: Domain): Observable<Probe[]> {
    return this.rpcService.call<Probe[]>('ProbeService.readAllByDomain', domain);
  }

  public read(id: string): Observable<Probe> {
    return this.rpcService.call<Probe>('ProbeService.read', id);
  }

}
